Table of Contents
Shortcuts

# Torch-TensorRT C++ API

## Class Hierarchy

- - Namespace torch_tensorrt
    - Namespace torch_tensorrt::logging
      - Enum Level
    - Namespace torch_tensorrt::ptq
      - Template Class Int8CacheCalibrator
      - Template Class Int8Calibrator
    - Namespace torch_tensorrt::torchscript
      - Struct CompileSpec
    - Struct Device
      - Class Device::DeviceType
    - Struct GraphInputs
    - Struct Input
    - Class DataType
    - Class TensorFormat
    - Enum EngineCapability

## File Hierarchy

- - Directory cpp
    - Directory include
      - Directory torch_tensorrt
        - File logging.h
        - File macros.h
        - File ptq.h
        - File torch_tensorrt.h

## Full API

### Namespaces

- Namespace torch_tensorrt
  - Namespaces
  - Classes
  - Enums
  - Functions

- Namespace torch_tensorrt::logging
  - Enums
  - Functions

- Namespace torch_tensorrt::ptq
  - Classes
  - Functions

- Namespace torch_tensorrt::torchscript
  - Classes
  - Functions

### Classes and Structs

- Struct Device
  - Nested Relationships
    - Nested Types
  - Struct Documentation

- Struct GraphInputs
  - Struct Documentation

- Struct Input
  - Inheritance Relationships
    - Base Type
  - Struct Documentation

- Struct CompileSpec
  - Struct Documentation

- Class DataType
  - Class Documentation

- Class Device::DeviceType
  - Nested Relationships
  - Class Documentation

- Template Class Int8CacheCalibrator
  - Inheritance Relationships
    - Base Type
  - Class Documentation

- Template Class Int8Calibrator
  - Inheritance Relationships
    - Base Type
  - Class Documentation

- Class TensorFormat
  - Class Documentation

### Enums

- Enum EngineCapability
  - Enum Documentation

- Enum Level
  - Enum Documentation

### Functions

- Function torch_tensorrt::dump_build_info
  - Function Documentation

- Function torch_tensorrt::get_build_info
  - Function Documentation

- Function torch_tensorrt::logging::get_is_colored_output_on
  - Function Documentation

- Function torch_tensorrt::logging::get_logging_prefix
  - Function Documentation

- Function torch_tensorrt::logging::get_reportable_log_level
  - Function Documentation

- Function torch_tensorrt::logging::log
  - Function Documentation

- Function torch_tensorrt::logging::set_is_colored_output_on
  - Function Documentation

- Function torch_tensorrt::logging::set_logging_prefix
  - Function Documentation

- Function torch_tensorrt::logging::set_reportable_log_level
  - Function Documentation

- Template Function torch_tensorrt::ptq::make_int8_cache_calibrator
  - Function Documentation

- Template Function torch_tensorrt::ptq::make_int8_calibrator
  - Function Documentation

- Function torch_tensorrt::set_device
  - Function Documentation

- Function torch_tensorrt::torchscript::check_method_operator_support
  - Function Documentation

- Function torch_tensorrt::torchscript::compile
  - Function Documentation

- Function torch_tensorrt::torchscript::convert_method_to_trt_engine
  - Function Documentation

- Function torch_tensorrt::torchscript::embed_engine_in_new_module
  - Function Documentation

### Defines

- Define STR
  - Define Documentation

- Define TORCH_TENSORRT_MAJOR_VERSION
  - Define Documentation

- Define TORCH_TENSORRT_MINOR_VERSION
  - Define Documentation

- Define TORCH_TENSORRT_PATCH_VERSION
  - Define Documentation

- Define TORCH_TENSORRT_VERSION
  - Define Documentation

- Define TORCHTRT_API
  - Define Documentation

- Define TORCHTRT_HIDDEN
  - Define Documentation

- Define XSTR
  - Define Documentation

## Docs

Access comprehensive developer documentation for PyTorch

View Docs

## Tutorials

Get in-depth tutorials for beginners and advanced developers

View Tutorials

## Resources

Find development resources and get your questions answered

View Resources

To analyze traffic and optimize your experience, we serve cookies on this site. By clicking or navigating, you agree to allow our usage of cookies. As the current maintainers of this site, Facebook’s Cookies Policy applies. Learn more, including about available controls: Cookies Policy.